ext {

    android = [
            compileSdkVersion: 29,
            buildToolsVersion: '29.0.3',
            minSdkVersion    : 19, //N5收銀機應用安卓開發環境要求Android OS Version: 5.1Android SDK Min Version: 19
            targetSdkVersion : 29,
            //正式版:    1.0.3  3
            //內部測試版:1.2.0  20
            versionCode      : 24,
            versionName      : "1.2.4"
    ]

    version = [
            androidSupportSdkVersion: "29+",
            retrofitSdkVersion      : '2.3.0',
            dagger2SdkVersion       : "2.19",
            glideSdkVersion         : "4.9.0",
            butterknifeSdkVersion   : "10.2.1",
            rxlifecycleSdkVersion   : "1.0",
            rxlifecycle2SdkVersion  : "2.2.1",
            espressoSdkVersion      : "3.0.1",
            fragmentationVersion    : "1.3.8",
            canarySdkVersion        : "1.5.4",
    ]

    buildType = [
            debugLogDebug   : "true",
            debugUseCanary  : "true",
            releaseLogDebug : "true",
            releaseUseCanary: "false"
    ]

    dependencies = [
            //support
            "appcompat-v7"             : 'androidx.appcompat:appcompat:1.0.2',//不要超過1.0.2，不然android5.1.1用webview會有問題
            "design"                   : 'com.google.android.material:material:1.0.0',
            "support-design"           : 'com.android.support:design:28.0.0',
            "support-v4"               : 'androidx.legacy:legacy-support-v4:1.0.0',
            "cardview-v7"              : 'androidx.cardview:cardview:1.0.0',
            "annotations"              : 'androidx.annotation:annotation:1.0.0',
            "recyclerview-v7"          : 'androidx.recyclerview:recyclerview:1.0.0',
            "coordinatorlayout"        : 'androidx.coordinatorlayout:coordinatorlayout:1.1.0',

            //network
            "retrofit"                 : "com.squareup.retrofit2:retrofit:${version["retrofitSdkVersion"]}",
            "retrofit-converter-gson"  : "com.squareup.retrofit2:converter-gson:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava"  : "com.squareup.retrofit2:adapter-rxjava:${version["retrofitSdkVersion"]}",
            "retrofit-adapter-rxjava2" : "com.squareup.retrofit2:adapter-rxjava2:${version["retrofitSdkVersion"]}",
            "okhttp3"                  : "com.squareup.okhttp3:okhttp:3.8.1",
            "okhttp-urlconnection"     : "com.squareup.okhttp:okhttp-urlconnection:2.0.0",
            "glide"                    : "com.github.bumptech.glide:glide:${version["glideSdkVersion"]}",
            "glide-compiler"           : "com.github.bumptech.glide:compiler:${version["glideSdkVersion"]}",
            "glide-loader-okhttp3"     : "com.github.bumptech.glide:okhttp3-integration:${version["glideSdkVersion"]}",
            "picasso"                  : "com.squareup.picasso:picasso:2.5.2",

            //view
            "autolayout"               : "com.zhy:autolayout:1.4.5",
            "autosize"                 : 'me.jessyan:autosize:1.1.2',
            "butterknife"              : "com.jakewharton:butterknife:${version["butterknifeSdkVersion"]}",
            "butterknife-compiler"     : "com.jakewharton:butterknife-compiler:${version["butterknifeSdkVersion"]}",
            "pickerview"               : "com.contrarywind:Android-PickerView:4.1.9",
            "photoview"                : "com.github.chrisbanes.photoview:library:1.2.3",
            "numberprogressbar"        : "com.daimajia.numberprogressbar:library:1.2@aar",
            "nineoldandroids"          : "com.nineoldandroids:library:2.4.0",
            "paginate"                 : "com.github.markomilos:paginate:0.5.1",
            "vlayout"                  : "com.alibaba.android:vlayout:1.1.0@aar",
            "loadsir"                  : "com.kingja.loadsir:loadsir:1.3.8",

            //rx1
            "rxandroid"                : "io.reactivex:rxandroid:1.2.1",
            "rxjava"                   : "io.reactivex:rxjava:1.3.0",
            "rxlifecycle"              : "com.trello:rxlifecycle:${version["rxlifecycleSdkVersion"]}",
            "rxlifecycle-components"   : "com.trello:rxlifecycle-components:${version["rxlifecycleSdkVersion"]}",
            "rxcache"                  : "com.github.VictorAlbertos.RxCache:runtime:1.7.0-1.x",
            "rxcache-jolyglot-gson"    : "com.github.VictorAlbertos.Jolyglot:gson:0.0.3",
            "rxbinding-recyclerview-v7": "com.jakewharton.rxbinding:rxbinding-recyclerview-v7:1.0.1",
            "rxpermissions"            : "com.tbruyelle.rxpermissions:rxpermissions:0.9.4@aar",
            "rxerrorhandler"           : "me.jessyan:rxerrorhandler:1.0.1",

            //rx2
            "rxandroid2"               : "io.reactivex.rxjava2:rxandroid:2.0.1",
            "rxjava2"                  : "io.reactivex.rxjava2:rxjava:2.1.8",
            "rxlifecycle2"             : "com.trello.rxlifecycle2:rxlifecycle:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-android"     : "com.trello.rxlifecycle2:rxlifecycle-android:${version["rxlifecycle2SdkVersion"]}",
            "rxlifecycle2-components"  : "com.trello.rxlifecycle2:rxlifecycle-components:${version["rxlifecycle2SdkVersion"]}",
            "rxcache2"                 : "com.github.VictorAlbertos.RxCache:runtime:1.8.3-2.x",
            "rxpermissions2"           : "com.tbruyelle.rxpermissions2:rxpermissions:0.9.5@aar",
            "rxerrorhandler2"          : "me.jessyan:rxerrorhandler:2.1.1",


            //rxbinding
            "rxbinding2"               : "com.jakewharton.rxbinding2:rxbinding:2.1.1",

            //tools
            "dagger2"                  : "com.google.dagger:dagger:${version["dagger2SdkVersion"]}",
            "dagger2-android"          : "com.google.dagger:dagger-android:${version["dagger2SdkVersion"]}",
            "dagger2-android-support"  : "com.google.dagger:dagger-android-support:${version["dagger2SdkVersion"]}",
            "dagger2-compiler"         : "com.google.dagger:dagger-compiler:${version["dagger2SdkVersion"]}",
            "dagger2-android-processor": "com.google.dagger:dagger-android-processor:${version["dagger2SdkVersion"]}",
            "androideventbus"          : "org.simple:androideventbus:1.0.5.1",
            "otto"                     : "com.squareup:otto:1.3.8",
            "gson"                     : "com.google.code.gson:gson:2.8.2",
            "multidex"                 : 'androidx.multidex:multidex:2.0.0',
            "javax.annotation"         : "javax.annotation:jsr250-api:1.0",
            "arouter"                  : "com.alibaba:arouter-api:1.3.0",
            "arouter-compiler"         : "com.alibaba:arouter-compiler:1.1.4",
            "progressmanager"          : "me.jessyan:progressmanager:1.5.0",
            "retrofit-url-manager"     : "me.jessyan:retrofit-url-manager:1.4.0",
            "lifecyclemodel"           : "me.jessyan:lifecyclemodel:1.0.1",
//            "fragmentation"            : "me.yokeyword:fragmentation:${version["fragmentationVersion"]}",
//            "fragmentation-core"       : "me.yokeyword:fragmentation-core:${version["fragmentationVersion"]}",
//            "fragmentation-swipeback"  : "me.yokeyword:fragmentation-swipeback:${version["fragmentationVersion"]}",
            "constraintlayout"         : "androidx.constraintlayout:constraintlayout:1.1.3",//constraintlayout約束佈局
            "javapoet"                 : "com.squareup:javapoet:1.11.1",

            //test
            "junit"                    : "junit:junit:4.12",
            "androidJUnitRunner"       : "android.support.test.runner.AndroidJUnitRunner",
            "runner"                   : "com.android.support.test:runner:1.0.1",
            "espresso-core"            : "com.android.support.test.espresso:espresso-core:${version["espressoSdkVersion"]}",
            "espresso-contrib"         : "com.android.support.test.espresso:espresso-contrib:${version["espressoSdkVersion"]}",
            "espresso-intents"         : "com.android.support.test.espresso:espresso-intents:${version["espressoSdkVersion"]}",
            "mockito-core"             : "org.mockito:mockito-core:1.+",
            "timber"                   : "com.jakewharton.timber:timber:4.6.0",
            "logger"                   : "com.orhanobut:logger:2.1.1",
            "canary-debug"             : "com.squareup.leakcanary:leakcanary-android:${version["canarySdkVersion"]}",
            "canary-release"           : "com.squareup.leakcanary:leakcanary-android-no-op:${version["canarySdkVersion"]}",
            "umeng-analytics"          : "com.umeng.analytics:analytics:6.0.1",
            // QMUI
            "qmui"                     : "com.qmuiteam:qmui:2.0.0-alpha03",
            "arms"                     : "me.jessyan:arms:2.5.2",
            "fastjson"                 : "com.alibaba:fastjson:1.2.46",
            "zxing"                    : "cn.yipianfengye.android:zxing-library:2.2",
            "BaseRecyclerViewAdapter"  : "com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4",
            "yzjRecyclerView"          : "com.yanzhenjie.recyclerview:x:1.3.2",
            //搜索view
            "MultiSearchView"          : "com.github.iammert:MultiSearchView:0.3",
            // 狀態欄基础依赖包，必须要依赖
            "immersionbar"             : "com.gyf.immersionbar:immersionbar:3.0.0",
            // fragment快速实现（可选）
            "immersionbar-components"  : "com.gyf.immersionbar:immersionbar-components:3.0.0",
            //獲取權限
            "permissionx"              : 'com.permissionx.guolindev:permissionx:1.3.1',
            //美團點評-日誌監聽https://github.com/Meituan-Dianping/Logan/tree/master/Example/Logan-Android
            "logan"                    : 'com.dianping.android.sdk:logan:1.2.4',
            //滴滴開源 哆啦A夢:辅助开发工具、测试效率工具、视觉辅助工具
            "doraemonkit"              : 'com.didichuxing.doraemonkit:dokitx:3.3.3',
            //popup
            'xpopup'                   : 'com.lxj:xpopup:2.2.10'
    ]

}
